Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  Community
  Kontur-Diskretisierung u. Auslesen der 2D Punkte mittels VBA

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:  Kontur-Diskretisierung u. Auslesen der 2D Punkte mittels VBA (866 mal gelesen)
MaximilianSchlemmer
Mitglied
freischaffend

Sehen Sie sich das Profil von MaximilianSchlemmer an!   Senden Sie eine Private Message an MaximilianSchlemmer  Schreiben Sie einen Gästebucheintrag für MaximilianSchlemmer

Beiträge: 2
Registriert: 05.08.2013

erstellt am: 06. Aug. 2013 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe CAtia-Community,

bin Anfänger in Catia/VBA und komme mit einer Catia /VBA-Anwendung nicht weiter.Die Thematik sollte für Euch recht einfach zu lösen sein...
Beschreibung: Ein Produkt besteht aus zwei flächigen Parts. Beide Parts sind nach Anwahl der Stirn-Flächen im Sketchbereich dargestellt und dort via "Projekt 3D-Elements" als 2Dim-Bauteile, die in einer Ebene liegen, dargestellt(..danach erscheint im Baum links der neue Teilzweig "Sketch.1").
Mein Problem: Ich benötige ein VBA-Makro, dass die 2D-Koordinatenpunkte der Konturen beider Objekte automatisch ausliest. Die Kontur eines Bauteils besteht aus einer Abfolge von Elementen wie Linien und Kreisbögen. Diese müssten in Form von Punkten diskretisiert und deren Koordinaten ausgelesen werden.

Habe durch Skriptaufzeichung den allersten Teil des Codes (für ein Bauteil) generiert:


Dim documents1 As Documents
Set documents1 = CATIA.Documents

Dim partDocument1 As PartDocument
Set partDocument1 = documents1.Item("Bauteil1.CATPart")

Dim part1 As Part
Set part1 = partDocument1.Part

Dim bodies1 As Bodies
Set bodies1 = part1.Bodies

Dim body1 As Body
Set body1 = bodies1.Item("BA206-Z00A_ZB_SCHLOSS_AKTIV_MIT_SCHALTER.1\BA206-009_ZUGHEBEL.1\PartBody")

Dim sketches1 As Sketches
Set sketches1 = body1.Sketches

Dim sketch1 As Sketch
Set sketch1 = sketches1.Item("Sketch.1")

Dim geometricElements1 As GeometricElements
Set geometricElements1 = sketch1.GeometricElements
 
Bitte um Vervollständigung des Programms: Ab hier sind die Elemente auszulesen und in Form von Punkten zu diskretisieren und diese dann auszugeben....

grüsse Maximilian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

highway45
Ehrenmitglied V.I.P. h.c.
Bastler mit Diplom



Sehen Sie sich das Profil von highway45 an!   Senden Sie eine Private Message an highway45  Schreiben Sie einen Gästebucheintrag für highway45

Beiträge: 6329
Registriert: 14.12.2004

[[WBF]]

erstellt am: 06. Aug. 2013 14:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MaximilianSchlemmer 10 Unities + Antwort hilfreich

Hallo und willkommen auf CAD.de !

Die CAD-Community ist aufgeteilt in verschiedene Bereiche.
Dies ist das Forum für allgemeine Belange zum Forum.

Es gibt auch eine spezielle Abteilung mit Fachleuten für deine Software.
Das findest du in der Übersicht auf der Startseite:
www.cad.de / Alle Foren (Strg + F)

Bevor du in dem Fachbereich die Frage nochmals reinstellst, solltest du aber die dort vorhandene Suchfunktion benutzen, weil das Thema eventuell schon diskutiert sein könnte.

Weiter möchte ich dir noch diese Informationen empfehlen: hilfe.cad.de

Viele Grüße
Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz